AppointmentVO

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.gantt.java
Class AppointmentVO

    java.lang.Object
      org.openswing.swing.message.receive.java.ValueObjectImpl
          org.openswing.swing.gantt.java.AppointmentVO

All Implemented Interfaces:
  Appointment, java.lang.Cloneable, java.io.Serializable, ValueObject

public class AppointmentVO
extends ValueObjectImpl
implements Appointment

Title: OpenSwing Framework

Description: Value object used to store an appointment, based on a starting date+hour and an end date+hour.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

See Also:
  Serialized Form

Constructor Summary
`AppointmentVO()`

Method Summary
`java.lang.Object` | `clone()` Method used by Grid and Form objects to internally duplicate a value object.
`java.awt.Color` | `getBackgroundColor()`
`java.lang.String` | `getDescription()`
`java.math.BigDecimal` | `getDuration()`
`java.sql.Timestamp` | `getEndDate()`
`java.awt.Color` | `getForegroundColor()`
`java.sql.Timestamp` | `getStartDate()`
`boolean` | `isEnableDelete()`
`boolean` | `isEnableEdit()`
`void` | `setBackgroundColor(java.awt.Color backgroundColor)`
`void` | `setDescription(java.lang.String description)`
`void` | `setDuration(java.math.BigDecimal duration)`
`void` | `setEnableDelete(boolean enableDelete)`
`void` | `setEnableEdit(boolean enableEdit)`
`void` | `setEndDate(java.sql.Timestamp endDate)`
`void` | `setForegroundColor(java.awt.Color foregroundColor)`
`void` | `setStartDate(java.sql.Timestamp startDate)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AppointmentVO

    public AppointmentVO()

Method Detail

### getStartDate

    public java.sql.Timestamp getStartDate()

  Specified by:
    `getStartDate` in interface `Appointment`

### setStartDate

    public void setStartDate(java.sql.Timestamp startDate)

  Specified by:
    `setStartDate` in interface `Appointment`

### getEndDate

    public java.sql.Timestamp getEndDate()

  Specified by:
    `getEndDate` in interface `Appointment`

### setEndDate

    public void setEndDate(java.sql.Timestamp endDate)

  Specified by:
    `setEndDate` in interface `Appointment`

### getDescription

    public java.lang.String getDescription()

  Specified by:
    `getDescription` in interface `Appointment`

### setDescription

    public void setDescription(java.lang.String description)

  Specified by:
    `setDescription` in interface `Appointment`

### getForegroundColor

    public java.awt.Color getForegroundColor()

  Specified by:
    `getForegroundColor` in interface `Appointment`

### setForegroundColor

    public void setForegroundColor(java.awt.Color foregroundColor)

  Specified by:
    `setForegroundColor` in interface `Appointment`

### getBackgroundColor

    public java.awt.Color getBackgroundColor()

  Specified by:
    `getBackgroundColor` in interface `Appointment`

### setBackgroundColor

    public void setBackgroundColor(java.awt.Color backgroundColor)

  Specified by:
    `setBackgroundColor` in interface `Appointment`

### getDuration

    public java.math.BigDecimal getDuration()

  Specified by:
    `getDuration` in interface `Appointment`

### setDuration

    public void setDuration(java.math.BigDecimal duration)

  Specified by:
    `setDuration` in interface `Appointment`

### setEnableEdit

    public void setEnableEdit(boolean enableEdit)

  Specified by:
    `setEnableEdit` in interface `Appointment`

### isEnableEdit

    public boolean isEnableEdit()

  Specified by:
    `isEnableEdit` in interface `Appointment`

### setEnableDelete

    public void setEnableDelete(boolean enableDelete)

  Specified by:
    `setEnableDelete` in interface `Appointment`

### isEnableDelete

    public boolean isEnableDelete()

  Specified by:
    `isEnableDelete` in interface `Appointment`

### clone

    public java.lang.Object clone()

  Description copied from class: `ValueObjectImpl`
  Method used by Grid and Form objects to internally duplicate a value object.

  Specified by:
    `clone` in interface `Appointment`
  Overrides:
    `clone` in class `ValueObjectImpl`
  Returns:

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD